#ifndef __MYDEFS_H
#define __MYDEFS_H

#define 	sbi(portn, bitn) 	((portn)|=(1<<(bitn)))
#define 	cbi(portn, bitn) 	((portn)&=~(1<<(bitn)))
#define 	TRUE				1
#define		FALSE	    		0

#include 	<util/delay.h>

#define 	ROTPORT1 		PORTB
#define 	ROTDDR1			DDRB
#define 	ROTPIN1			PINB

#define 	ROTPORT2 		PORTD
#define 	ROTDDR2			DDRD
#define 	ROTPIN2			PIND


#define 	BUZ				PB0
#define 	LED1			PB2
#define		LED2			PD4

#define 	SW1				PD7
#define 	SW2				PD6
//define rotary encoder pins
#define 	ROTPB 			PB1
#define 	ROTPA 			PB3
#define 	ROTPBUTTON		PD5


#define 	BUZZER

#define 	Buzzer_off() 	ROTPORT1 |=  _BV(BUZ)
#define 	Buzzer_on() 	ROTPORT1 &= ~_BV(BUZ)

#define 	LED1on()		ROTPORT1 |=  _BV(LED1)
#define 	LED1off()		ROTPORT1 &=  ~_BV(LED1)

#define 	LED2on()		ROTPORT2 |=  _BV(LED2)
#define 	LED2off()		ROTPORT2 &=  ~_BV(LED2)


//http://www.freebsddiary.org/APC/usb_hid_usages.php

#endif //__MYDEFS_H
