#ifndef 	KEY_C_
#define 	KEY_C_
#include 	<avr/io.h>
#include 	<stdio.h>
#include 	<string.h>
#include 	"rotary.h"
#include 	"mydefs.h"

static 	uint8_t 	rotarystatus=0;
static 	uint8_t 	wait=0;	
//---------------------------------------------------------------------------------------//	
void beep (char  type)
{
#ifdef 	BUZZER
	Buzzer_on ();
		if (type)
			_delay_ms(30);
		_delay_ms (30);
	Buzzer_off ();	
#endif	
}						
//---------------------------------------------------------------------------------------//
void init_rotary (void)
{
	
	ROTDDR1  = 0X00;
	ROTDDR1 |= _BV(LED1) | _BV(BUZ);
	ROTPORT1 |= _BV(ROTPB) | _BV(ROTPA);
	
	
	ROTDDR2   =  0x00;
	ROTDDR2 |=  _BV(LED2);
	ROTPORT2 |= _BV(ROTPBUTTON) | _BV(SW1)  | _BV(SW2);
}
//---------------------------------------------------------------------------------------//
uint8_t  RotaryCheckStatus (void)
{
	volatile uint16_t x;
	uint8_t status;
		
		rotarystatus = 0;
//reading rotary and button
//check if rotation is left
		if (ROTA & (!wait))			 	wait=1;
		if (ROTB & ROTA & (wait))
		{
			rotarystatus = ARROW_UP;		wait=2;
			beep (1);
		}
		else if(ROTA & (!ROTB) & wait)
		{
			rotarystatus = ARROW_DOWN;		wait=2;
			beep (1);	
		}
		
		if ((!ROTA)&!(ROTB)&(wait==2)) wait=0;
	
		//check button status
		/*
		if (ROTCLICK)
		{
			for(x = 0; x < 0x2FFF;x++);
			if (ROTCLICK)	rotarystatus = ENT;
			beep (1);
			while (!(ROTPIN2 & _BV(ROTCLICK)));
		}
		*/
		
		
		//check KEY
		if (!(ROTPIN2 & _BV(SW1)))
		{	
			//LED2on ();
			rotarystatus = MENU;
			while (!(ROTPIN2 & _BV(SW1)));
				beep (1);
			LED2off ();	
		}
		else
		
		{
			if (!(ROTPIN2 & _BV(SW2)))
			{	
				//LED1on ();
				rotarystatus = ESC;
				while (!(ROTPIN2 & _BV(SW2)));
				beep (1);
				LED1off ();
				LED2off ();
			}
			else
			{
				if (!(ROTPIN2 & _BV(ROTPBUTTON)))
				{	
					beep (1);
					rotarystatus = ENT;
					//LED1off ();
					LED2on ();
					while (!(ROTPIN2 & _BV(ROTPBUTTON)));
					
					
				}
			}
		}
		status = rotarystatus;
	return status;

};
//---------------------------------------------------------------------------------------//
char kbd_getc (void)
{
	return RotaryCheckStatus ();
}
//---------------------------------------------------------------------------------------//
//---------------------------------------------------------------------------------------//
//---------------------------------------------------------------------------------------//
//---------------------------------------------------------------------------------------//
#endif

